<?php
 require '../conexao/conexao.php';
 
 // Executar a consulta para obter os clientes cadastrados no período desejado
$query_clientes = "SELECT c.cdcli, c.nomecli, d.nrddd || d.nrtel as tel, c.email, c.dtcad 
                   FROM fc07000 c
                   LEFT JOIN fc07200 as d ON c.cdcli = d.cdcli
                   WHERE EXTRACT(YEAR FROM c.dtcad) = '2023'
                     AND EXTRACT(MONTH FROM c.dtcad) = 12
                     AND c.cdfil IN (4,2)
                     AND d.ocender = c.ocenderentrega";

$result_clientes = ibase_query($connection, $query_clientes);

if (!$result_clientes) {
    die('Erro na consulta de clientes: ' . ibase_errmsg());
}
 
// Inicializa a tabela HTML
echo "<table border='1'>";
echo "<tr><th>Cliente</th><th>ID</th><th>QTD_VJ</th><th>VALOR_VJ</th><th>QTD_MAN</th><th>VALOR_MAN</th><th>CAD</th></tr>";

// Para cada cliente retornado, execute as consultas de compra de varejo e manipulado separadamente
while ($row_cliente = ibase_fetch_assoc($result_clientes)) {
    $cdcli = $row_cliente['CDCLI'];
    $nomecli = $row_cliente['NOMECLI'];
    // Executar a consulta de compra de varejo para o cliente atual
    $query_varejo = "SELECT COUNT(cp.CDPRO) as QTD_VJ, 
                            SUM(cp.PRUNI) as VALOR_VJ
                     FROM FC14000 as cpm
                     INNER JOIN FC14100 as cp ON (cp.CDFIL = cpm.CDFIL AND cp.NRCPM = cpm.NRCPM)
                     WHERE cpm.CDCLI = '$cdcli'
                       AND cpm.DTSAI BETWEEN '2023-12-01' AND '2023-12-31'";
    // Executar a consulta de compra de manipulado para o cliente atual
    $query_manipulado = "SELECT COUNT(req.NRRQU) as QTD_MAN,
                                 SUM(req.VRRCB) as VALOR_MAN
                          FROM FC17000 as req 
                          WHERE req.NRRQU > 0
                            AND req.DTENTR BETWEEN '2023-12-01' AND '2023-12-31'
                            AND req.CDCLI = '$cdcli'";
    
    // Execute as consultas de compra de varejo e manipulado
    $result_varejo = ibase_query($connection, $query_varejo);
    $result_manipulado = ibase_query($connection, $query_manipulado);

    if (!$result_varejo || !$result_manipulado) {
        die('Erro na consulta de compras: ' . ibase_errmsg());
    }

    // Obter os resultados das consultas de compra de varejo e manipulado
    $row_varejo = ibase_fetch_assoc($result_varejo);
    $row_manipulado = ibase_fetch_assoc($result_manipulado);

    // Exibir os resultados em uma linha da tabela
    echo "<tr>";
    echo "<td>$nomecli</td>";
    echo "<td>$cdcli</td>";
    echo "<td>" . $row_varejo['QTD_VJ'] . "</td>";
    echo "<td>" . $row_varejo['VALOR_VJ'] . "</td>";
    echo "<td>" . $row_manipulado['QTD_MAN'] . "</td>";
    echo "<td>" . $row_manipulado['VALOR_MAN'] . "</td>";
	echo "<td>" . $row_cliente['DTCAD'] . "</td>";
    echo "</tr>";
}

// Fecha a tabela HTML
echo "</table>";

// Fechar conexão
ibase_close($connection);
?>
